This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016370 - Review Request: rubygem-capillary - Generate a JSON payload from Git log output
Review Request: rubygem-capillary - Generate a JSON payload from Git log output
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 00:11 EDT by Ken Dreyer
Modified: 2013-11-10 02:06 EST (History)
2 users (show)

See Also:
Fixed In Version: rubygem-capillary-1.0.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 00:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-10-08 00:11:59 EDT
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-capillary.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-capillary-1.0.3-1.fc21.src.rpm
Description: Capillary works in conjunction with capillary.js, which outputs a beautiful graphical representation of your repository history.
Fedora Account System Username: ktdreyer

rpmlint complains that AGPLv3+ is not a valid license, but this is a bug in rpmlint (RH bug 894187).

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6034256
Comment 1 Mamoru TASAKA 2013-10-08 03:09:29 EDT
Some notes:

* mini_shoulda dependency
  - Installed %gem_spec still contains mini_shoulda
    dependency.
    Currently it is for development_dependency so
    no runtime dependency is added, but anyway I think
    this is against your intention.

* Executing tests
  - Actually no tests are executed. Please check
    %check section.
-------------------------------------------------------
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.IQdVQm
+ umask 022
+ cd /builddir/build/BUILD
+ cd capillary-1.0.3
+ pushd ./usr/share/gems/gems/capillary-1.0.3
~/build/BUILD/capillary-1.0.3/usr/share/gems/gems/capillary-1.0.3 ~/build/BUILD/capillary-1.0.3
+ testrb -Ilib test/capillary/commit_test.rb test/capillary/log_parser_test.rb test/capillary/ref_collection_test.rb
test/capillary/commit_test.rb: cannot load such file -- test_helper
test/capillary/log_parser_test.rb: cannot load such file -- test_helper
test/capillary/ref_collection_test.rb: cannot load such file -- test_helper
Run options: -Ilib
# Running tests:
Finished tests in 0.002931s, 0.0000 tests/s, 0.0000 assertions/s.
0 tests, 0 assertions, 0 failures, 0 errors, 0 skips
^^^^^^^^
ruby -v: ruby 2.0.0p247 (2013-06-27 revision 41674) [i386-linux]
~/build/BUILD/capillary-1.0.3
+ popd
+ exit 0
-------------------------------------------------------

* Documentation
  - I recommend "README" to be put in main package, because
    the file "README" is actually the upstream want user to
    read it.

  - Please consider if "Gemfile{,.lock}" "Rakefile" really
    needs to be included in binary rpm.
    - Especially "Rakefile" is like makefiles in autotool-
      generated tarballs, which we usually don't include in
      binary rpm.

  - tests scripts are usually not needed in binary rpm:
    https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#Running_test_suites
    See "Do not ship tests"
Comment 2 Mamoru TASAKA 2013-10-08 03:10:31 EDT
By the way I would appreciate it if you would review one of my review requests (e.g. bug 904640 )
Comment 4 Mamoru TASAKA 2013-10-09 22:32:02 EDT
For -2:

* About excluding /usr/bin/ruby dependency
  - Well, I don't oppose to this (i.e. not a blocker), 
    however I don't think
    adding this line makes so much sense...
    We don't explicitly exclude shebang dependency on
    other packages even if they don't contain the explicit
    dependency which provides such interpreter (such as
    bash).

* Removing mini_shoulda dependency
  - Well, actually the following line is added:
------------------------------------------------------
    66  # We must remove mini_shoulda in the installed gemspec, too.
    67  sed -e '\|mini_shoulda|d' -i .%{gem_spec}
------------------------------------------------------
    However, instead it is better that you fix the
    following line:
------------------------------------------------------
    55  sed -e '\|mini_shoulda"|d' -i %{gem_name}.gemspec
------------------------------------------------------
    Note:
    - Check the actually generated %{gem_name}.gemspec,
      which does not match 'mini_shoulda"' (note that
      one unknown double quotation mark is included in
      the regex)

Otherwise okay.
Comment 5 Ken Dreyer 2013-10-10 06:49:36 EDT
You're quite right. I didn't realize that the gemspec doesn't use double quotation marks once we regenerate it. Thanks.

I've adjusted the first sed regex, and removed the second sed operation (now that the first works properly.)

Release 3:

Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-capillary.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-capillary-1.0.3-3.fc21.src.rpm

Specific changes: http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-capillary.git/commit/?id=09764a7a6f3b97dc9a75337d9363dea2c398a7db
Comment 6 Mamoru TASAKA 2013-10-10 11:19:36 EDT
Approving.

-------------------------------------------------
   This package (rubygem-capillary) is APPROVED
   by mtasaka
-------------------------------------------------
Comment 7 Ken Dreyer 2013-10-10 12:35:59 EDT
Thanks mtasaka!

New Package SCM Request
=======================
Package Name: rubygem-capillary
Short Description: Generate a JSON payload from Git log output
Owners: ktdreyer
Branches: f19 f20
InitialCC: ruby-sig
Comment 8 Gwyn Ciesla 2013-10-10 13:06:54 EDT
"ruby-sig" is not a valid FAS account.
Comment 9 Ken Dreyer 2013-10-10 15:40:26 EDT
Sorry about that. I got confused with Perl.

New Package SCM Request
=======================
Package Name: rubygem-capillary
Short Description: Generate a JSON payload from Git log output
Owners: ktdreyer
Branches: f19 f20
Comment 10 Gwyn Ciesla 2013-10-10 15:52:35 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-10-10 18:23:49 EDT
rubygem-capillary-1.0.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-capillary-1.0.3-3.fc19
Comment 12 Fedora Update System 2013-10-10 18:40:10 EDT
rubygem-capillary-1.0.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-capillary-1.0.3-3.fc20
Comment 13 Fedora Update System 2013-10-11 12:48:26 EDT
rubygem-capillary-1.0.3-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2013-11-03 00:31:47 EDT
rubygem-capillary-1.0.3-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-11-10 02:06:33 EST
rubygem-capillary-1.0.3-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.